﻿// IFriioControl.h: IFriioControl クラスのインターフェイス
//
/////////////////////////////////////////////////////////////////////////////

#pragma once


#include "IBonDriver3.h"

/////////////////////////////////////////////////////////////////////////////
// Friioドライバインタフェース
/////////////////////////////////////////////////////////////////////////////

class IFriioControl : public IBonDriver3
{
public:
	enum eChannelScanResult // Values returned from ChannelScan
	{
		EC_NO_ERROR		    = 0x00000000UL,
		EC_NOTSUPPORT_SCAN	    = 0x00000001UL,
		EC_NOT_ENOUGH_BUFFER	    = 0x00000002UL,
		EC_GENERAL_ERROR	    = 0x00000003UL
	};

	enum eDeviceType // Device Type
	{
		DEV_NONE		    = 0x00000000UL,
		DEV_SHIRO		    = 0x00000001UL,
		DEV_KURO		    = 0x00000002UL,
		DEV_KOWAI		    = 0x00000003UL,
		DEV_RAWTS		    = 0x00000004UL,
		DEV_SKY			    = 0x00000005UL
	};

// IFriioControl
	virtual const BOOL SetDeviceNum(const DWORD dwDeviceIndex) = 0;
	virtual const DWORD GetDeviceType() = 0;
	virtual const DWORD ChannelScan(const DWORD dwSpace, void **pScanResults, DWORD *pdwNumEntries) = 0;
	virtual const BOOL LEDController(const BYTE Mode, const BYTE Speed, const BYTE Red, const BYTE Green, const BYTE Blue) = 0;
};
